Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions
TessCallback3< A1, A2, A3 > Class Template Reference

`#include <tesscallback.h>`

Inheritance diagram for TessCallback3< A1, A2, A3 >:

List of all members.

## Public Member Functions

virtual | ~TessCallback3 ()
virtual void | Run (A1, A2, A3)=0

## Detailed Description

### template<class A1, class A2, class A3>
class TessCallback3< A1, A2, A3 >

Definition at line 764 of file tesscallback.h.

## Constructor & Destructor Documentation

template<class A1 , class A2 , class A3 >

virtual TessCallback3< A1, A2, A3 >::~TessCallback3 | ( |  | ) |

inlinevirtual

Definition at line 766 of file tesscallback.h.

{ }

## Member Function Documentation

template<class A1 , class A2 , class A3 >

virtual void TessCallback3< A1, A2, A3 >::Run | ( | A1 | ,
|  | A2 | ,
|  | A3 |
| ) |  |

pure virtual

Implemented in _TessFunctionResultCallback_1_3< del, void, P1, A1, A2, A3 >, _TessFunctionResultCallback_1_3< del, R, P1, A1, A2, A3 >, _TessMemberResultCallback_1_3< del, void, T, P1, A1, A2, A3 >, _ConstTessMemberResultCallback_1_3< del, void, T, P1, A1, A2, A3 >, _TessFunctionResultCallback_0_3< del, void, A1, A2, A3 >, _TessMemberResultCallback_0_3< del, void, T, A1, A2, A3 >, and _ConstTessMemberResultCallback_0_3< del, void, T, A1, A2, A3 >.

The documentation for this class was generated from the following file:

- /mnt/data/src/tesseract-ocr/ccutil/tesscallback.h